Html Help Integration Components

This document describes the HtmlHelp integration components that make HtmlHelp integration in Delphi and BC++Builder easy. The document also describes the HHWindowX ActiveX that can be used in Visual Basic and other tools that support ActiveX components.

The archive contains a translation of the Microsoft HtmlHelp header file to Delphi, and a set of components that make HtmlHelp activation, embedding and bridging easy.

The package contains a sample project written in Delphi 3 that demonstates the use of the components. Activating the HtmlHelp window, displaying text popups, embedding the HtmlHelp window in the application and HelpContext property bridging is demonstrated.

For Visual Basic programmers - a sample project shows the ability to embed HTML Help in a form.

Installation
  • Installing the Html Help Components
Components
  • THtmlHelpGateway (Delphi/C++Builder only)
  • TEmbeddedHtmlHelp (called HHHWindowX for ActiveX - Visual Basic, VC++ etc...)
  • THtmlHelpBridge (Delphi/C++Builder only)
Types
  • TNavCompleteEvent
  • THtmlHelpTrackEvent

© 1997, HyperAct, Inc. http://www.hyperact.com/ - Authored by Ron Loewy.


Installing the Html Help components

Installation is different for Delphi/C++Builder and Visual Basic. Please follow the installation procedure specific to your tool.

Installing the components in Delphi

The Html Help Components are defined in the file HHComp.pas (or HHComp.dcu for the free trial version) provided with the package. You need to install this file into Delphi's component library.

In Delphi 3 - use the Install Component... command from the Component menu. You can install the Html Help components into any package you want including the default of dclusr30.dpk. Click the Browse button and add hhcomp.pas to the package. The package will be compiled and reinstalled into Delphi's component library. A new tab labeld "Html Help" will be added to your Component Library toolbar.

Installing the component in Visual Basic

The Html Help component is defined in the file HHHWindowXControl.ocx installed in the ActiveX sub-directory of the component's install. The control is registered during installation of the package.

In Visual Basic 5 - use the Project|Components... menu command. In the Components dialog identify HHHWindowXControl Library and check it. The Html Help control will be added to your toolbox.

©Copyright 1997, HyperAct, Inc.


Components Frequently Asked Questions

  • What development tools can be used with the eAuthor HTML Help components ?
  • Can the eAuthor HTML Help components in my applications ?
  • How can I remove the unregistered control message when my application terminates ?

Q: What development tools can be used with the eAuthor HTML Help components ?

The eAuthor HTML Help integration components are available as a native Delphi VCL or as an ActiveX control. The Native VCL components can be used in Delphi 3 or C++Builder. The ActiveX control can be used by any tool that supports ActiveX controls. We tested the control with Microsoft's Visual Basic and Visual C++.

Q: Can the eAuthor HTML Help components in my applications ?

The eAuthor HTML Help integration components are part of the eAuthor Help product. Users of eAuthor Help receive a license to distribute the HTML Help components in compiled form with their applications.

Q: How can I remove the unregistered control message when my application terminates ?

The eAuthor HTML Help ActiveX control includes the UserID and Password properties. To remove the unregistered control message enter the UserID and Password you received when you purchased eAuthor Help in the property inspector of your development tool.


THtmlHelpGateway
 See Also Properties Methods Events Tasks

Unit

HHComp

Description

This component is used as an easy to use wrapper around the htmlhelp() api function call.

Properties | Methods | Events
ChmFile WindowType ParentWindow PopupXOffset PopupYOffset | DisplayTopic TextPopup DisplayContext |

Tasks

See Also

  • Html Help Integration Components
  • TEmbeddedHtmlHelp
  • THtmlHelpBridge

©1997, HyperAct, Inc.


ChmFile Property

ChmFile
 Declaration Description See Also Example

Declaration

property ChmFile : String;

Description

This property is used to define the name of the compiled HTML file that contains the topic you want to display. If the property is set to an empty string the topic is assumed not to be in a compiled HTML file.

Example

HtmlHelpGateway1.ChmFile := extractFilePath(application.exeName) + 'HHComp.chm';
HtmlHelpGateway1.DisplayTopic('HtmlHelpIntegrationComponents.html');

See Also

  • THtmlHelpGateway
  • DisplayTopic method
  • DisplayContext method

©1997, HyperAct, Inc.


WindowType Property

WindowType

Declaration

property WindowType : String;

Description

This property is used to define the Html Help window type that will be used to display the topic. If the property is set to the empty string a default window will be used by Html Help.

Example

HtmlHelpGateway1.WindowType := 'MyPopup'; // The chm file has a window called MyPopup
HtmlHelpGateway1.DisplayTopic('myhelp.html');

See Also

  • THtmlHelpGateway
  • DisplayTopic method
  • DisplayContext method

©1997, HyperAct, Inc.


ParentWindow Property

ParentWindow

Declaration

property ParentWindow : TWinControl;

Description

This property is used to define the control that is the parent of the Html Help window when using the DisplayTopic and DisplayContext methods. If you use the component to display a text popup this property defines the control that will be used to display the popup.

Example

HtmlHelpGateway1.ParentWindow := Button1;
HtmlHelpGateway1.PopupText('Click this button to add a new record');

See Also

  • THtmlHelpGateway
  • TextPopup Method

©1997, HyperAct, Inc.


PopupXOffset property

PopupXOffset

Declaration

1997, HyperAct, Inc.

Description

This property is used to define the X offset from the ParentWindow control where a popup will be displayed.

Example

HtmlHelpGateway1.PopupXOffset := 40;
HtmlHelpGateway1.PopupYOffset := 20;
HtmlHelpGateway1.ParentWindow := Panel1;
HtmlHelpGateway1.PopupText('The video will be displayed in this panel');

See Also

  • THtmlHelpGateway
  • PopupYOffset property
  • ParentWindow Property
  • TextPopup Method

©1997, HyperAct, Inc.


PopupYOffset property

PopupYOffset

Declaration

property PopupYOffset : integer;

Description

This property is used to define the X offset from the ParentWindow control where a popup will be displayed.

Example

HtmlHelpGateway1.PopupXOffset := 40;
HtmlHelpGateway1.PopupYOffset := 20;
HtmlHelpGateway1.ParentWindow := Panel1;
HtmlHelpGateway1.PopupText('The video will be displayed in this panel');

See Also

  • THtmlHelpGateway
  • PopupXOffset property
  • ParentWindow Property
  • TextPopup Method

©1997, HyperAct, Inc.


DisplayTopic method

DisplayTopic
 Declaration Description Parameters Method Result See Also Example

Declaration

procedure DisplayTopic(Url : String);

Description

Display the topic defined by the URL in a HTML Help window. If the ChmFile property points to a compiled HTML Help file the URL is located in the compiled file, otherwise, it is located from an independent resource. The topic is displayed in the Html Help window defined by the WinType property, or the default window if the property is left empty.

Parameters

Parameter | Usage
Url | The Url (in or out of a compiled HTML file) to display.

Method Result

None.

Example

HtmlHelpGateway1.ChmFile := extractFilePath(application.exeName) + 'HHComp.chm';
HtmlHelpGateway1.DisplayTopic('HtmlHelpIntegrationComponents.html');

See Also

  • THtmlHelpGateway
  • ChmFile Property
  • WindowType Property
  • DisplayContext method


DisplayContext method

DisplayContext
 Declaration Description Parameters Method Result See Also Example

Declaration

procedure DisplayContext(ContextID : integer);

Description

Display the topic defined by the context-id from the compiled HTML file defined in the ChmFile property. Html Help can support context-id from compiled files. The results of a call with an invalid ChmFile property are undefined.

Parameters

Parameter | Usage
ContextID | The context id of the topic you want to display. Context id's need to be defined in the compiled HTML help file using the [Alias] and optionally [Map] sections of the hhp file.

Method Result

None.

Example

HtmlHelpGateway1.ChmFile := extractFilePath(application.exeName + 'hhcomp.chm';
HtmlHelpGateway1.DisplayContext(IDH_MainWindow);

See Also

  • THtmlHelpGateway
  • ChmFile Property
  • WindowType Property
  • DisplayTopic method


TextPopup Method

TextPopup
 Declaration Description Parameters Method Result See Also Example

Declaration

procedure TextPopup(Msg : String);

Description

This procedure displays a text popup message over the control defined in the ParentWindow property. The popup window appears at the offset defined by the PopupXOffset and PopupYOffset properties.

Parameters

Parameter | Usage
Msg | The Url (in or out of a compiled HTML file) to display.

Method Result

None.

Example

See Also

  • THtmlHelpGateway
  • ParentWindow Property
  • PopupXOffset property
  • PopupYOffset property


TEmbeddedHtmlHelp (HHHWindowX ActiveX control)

TEmbeddedHtmlHelp (HHHWindowX for Visual Basic)
 See Also Properties Methods Events Tasks

Unit

HHComp

Description

This component is a visual VCL component you can use to display embedded HTML Help windows in your form. If you are using Visual Basic (or another tool that uses the ActiveX control) this component is called HHHWindowX. While the name is different you have access to the same properties, methods and events.

Properties | Methods | Events
ChmFile WinType TriPane TocFile IndexFile ExpandButton BackButton ForwardButton StopButton RefreshButton HomeButton OptionsButton Jump1Button Jump2Button PrintButton SyncButton Jump1Text Jump1Url Jump2Text Jump2Url HomeFile SearchTab AutoSync | DisplayTopic DisplayContext | OnTrack OnNavComplete

Tasks

See Also

  • Html Help Integration Components
  • THtmlHelpGateway
  • THtmlHelpBridge

©1997, HyperAct, Inc.


WinType Property

WinType

Declaration

property WinType : String;

Description

This property allows you to define the name of the embedded window that will be created by the component. The only time this information will be of interest to you is when you have to define more than one embedded window in the application, or when you need to link to this window from the Html Help source.

Example

EmbeddedHtmlHelp1.WinType := 'MyEmbeddedWindow';
EmbeddedHtmlHelp1.ChmFile := extractFilePath(application.exename) + 'hhcomp.chm';
EmbeddedHtmlHelp1.DisplayTopic('welcome.html');

See Also

  • TEmbeddedHtmlHelp
  • ChmFile property
  • DisplayTopic Method
  • DisplayContext Method


ChmFile property

ChmFile

Declaration

property ChmFile : String;

Description

This property defines the name of the compiled HTML Help file that contains the topics you want to display in the embedded window. If this property is set to the empty string the DisplayTopic method will be look for the topics to display in stand alone HTML files.

Example

EmbeddedHtmlHelp1.ChmFile := extractfilePath(application.exename) + 'hhcomp.chm';
EmbeddedHtmlHelp1.DisplayTopic('welcome.html');

See Also

  • TEmbeddedHtmlHelp
  • WinType Property
  • DisplayTopic Method
  • DisplayContext Method


TriPane property

TriPane

Declaration

property TriPane : boolean;

Description

This property is used to define if the embedded window is a tri-pane window or a simple HTML content only window. A tri-pane window includes a toolbar, a navigation pane and a content pane.

Notice that it is important to define the property before you call the DisplayTopic or DisplayContext methods. After you have called any of these methods - changing the TriPane property might cause flicker and strange redraw problems.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.IndexFile := 'HHIndex.hhk';
EmbeddedHtmlHelp1.TocFile := 'HHToc.hhc';
EmbeddedHtmlHelp1.DisplayTopic('HtmlHelpIntegrationComponents.html');

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


SearchTab property

SearchTab

Declaration

property SearchTab : boolean;

Description

This property is used to define if a search (Full text search) tab is displayed in a tri-pane window.

Notice that it is important to define the property before you call the DisplayTopic or DisplayContext methods. After you have called any of these methods - changing the SearchTab property might cause flicker and strange redraw problems.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.IndexFile := 'HHIndex.hhk';
EmbeddedHtmlHelp1.TocFile := 'HHToc.hhc';
EmbeddedHtmlHelp1.SearchTab := True;
EmbeddedHtmlHelp1.DisplayTopic('HtmlHelpIntegrationComponents.html');

See Also

TEmbeddedHtmlHelp

©Copyright 1997, 1998 HyperAct, Inc.


TocFile property

TocFile

Declaration

property TocFile : String;

Description

This property defines the table of contents file in the CHM file if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.IndexFile := 'HHIndex.hhk';
EmbeddedHtmlHelp1.TocFile := 'HHToc.hhc';
EmbeddedHtmlHelp1.DisplayTopic('HtmlHelpIntegrationComponents.html');

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


IndexFile property

IndexFile

Declaration

property IndexFile : String;

Description

This property defines the index file in the CHM file if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.IndexFile := 'HHIndex.hhk';
EmbeddedHtmlHelp1.TocFile := 'HHToc.hhc';
EmbeddedHtmlHelp1.DisplayTopic('HtmlHelpIntegrationComponents.html');

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


ExpandButton property

ExpandButton

Declaration

property ExpandButton : boolean;

Description

This property defines if an expand (show/hide) button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.ExpandButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


BackButton property

BackButton

Declaration

property BackButton : boolean;

Description

This property defines if the back button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.BackButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


ForwardButton property

ForwardButton

Declaration

property ForwardButton : boolean;

Description

This property defines if the forward button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.ForwardButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


StopButton property

StopButton

Declaration

property StopButton : boolean;

Description

This property defines if the stop button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.StopButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


RefreshButton property

RefreshButton

Declaration

property RefreshButton : boolean;

Description

This property defines if the refresh button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.RefreshButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


HomeButton property

HomeButton

Declaration

property HomeButton : boolean;

Description

This property defines if the home button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.HomeButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


HomeFile property

HomeFile

Declaration

property HomeFile : String;

Description

This property defines the file name that will be activated when the home button is pressed if a Tri-Pane window is used (and the HomeButton property is set to true).

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.HomeFile := 'Overview.html';
EmbeddedHtmlHelp1.HomeButton := true;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


OptionsButton property

OptionsButton

Declaration

property OptionsButton : boolean;

Description

This property defines if the options button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.OptionsButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


PrintButton property

PrintButton

Declaration

property PrintButton : boolean;

Description

This property defines if the print button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.PrintButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


SyncButton property

SyncButton

Declaration

property SyncButton : boolean;

Description

This property defines if the sync button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.SyncButton := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


Jump1Button property

Jump1Button

Declaration

property Jump1Button : boolean;

Description

This property defines if the jump1 button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.Jump1Button := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


Jump1Text property

Jump1Text

Declaration

property Jump1Text : String;

Description

This property defines the text that will appear on the Jump1 button in the toolbar if a Tri-Pane window is used and the Jump1Button property is set to true.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.Jump1Button := True;
EmbeddedHtmlHelp1.Jump1Text := 'HyperAct';
EmbeddedHtmlHelp1.Jump1Url := 'http://www.hyperact.com/';

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


Jump1Url property

Jump1Url

Declaration

property Jump1Url : String;

Description

This property defines the target url that for the Jump1 button in the toolbar if a Tri-Pane window is used and the Jump1Button property is set to true.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.Jump1Button := True;
EmbeddedHtmlHelp1.Jump1Text := 'HyperAct';
EmbeddedHtmlHelp1.Jump1Url := 'http://www.hyperact.com/';

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


Jump2Button property

Jump2Button

Declaration

property Jump2Button : boolean;

Description

This property defines if the jump2 button will be shown in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.Jump2Button := True;

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


Jump2Text property

Jump2Text

Declaration

property Jump2Text : String;

Description

This property defines the text that will appear on the Jump2 button in the toolbar if a Tri-Pane window is used and the Jump2Button property is set to true.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.Jump2Button := True;
EmbeddedHtmlHelp1.Jump2Text := 'HyperAct';
EmbeddedHtmlHelp1.Jump2Url := 'http://www.hyperact.com/';

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


Jump2Url property

Jump2Url

Declaration

property Jump2Url : String;

Description

This property defines the target url that for the Jump2 button in the toolbar if a Tri-Pane window is used and the Jump2Button property is set to true.

Example

EmbeddedHtmlHelp1.TriPane := True;
EmbeddedHtmlHelp1.Jump2Button := True;
EmbeddedHtmlHelp1.Jump2Text := 'HyperAct';
EmbeddedHtmlHelp1.Jump2Url := 'http://www.hyperact.com/';

See Also

TEmbeddedHtmlHelp

©Copyright 1997, HyperAct, Inc.


ButtonsText property

ButtonsText

Declaration

property ButtonsText : boolean;

Description

This property defines if the buttons will be shown with text under the button image in the toolbar pane if a Tri-Pane window is used.

Example

EmbeddedHtmlHelp1.ButtonsText := True;

See Also

TEmbeddedHtmlHelp

©


AutoSync property

AutoSync

Declaration

property AutoSync : boolean;

Description

This property defines if the table of contents displayed in a tri-pane window will be automatically synchronized when the user navigates in the CHM file content.

Example

EmbeddedHtmlHelp1.AutoSync := true;

See Also

©Copyright 1997, HyperAct, Inc.


DisplayTopic Method

Display Topic
 Declaration Description Parameters Method Result See Also Example

Declaration

procedure DisplayTopic(Url : String);

Description

Display the topic defined by the URL in a HTML Help window. If the ChmFile property points to a compiled HTML Help file the URL is located in the compiled file, otherwise, it is located from an independent resource.

Parameters

Parameter | Usage
Url | The Url (in or out of a compiled HTML page) to display.

Method Result

None.

Example

EmbeddedHtmlHelp1.ChmFile := extractfilePath(application.exename) + 'hhcomp.chm';
EmbeddedHtmlHelp1.DisplayTopic('welcome.html');

See Also

  • TEmbeddedHtmlHelp
  • WinType Property
  • ChmFile property
  • DisplayContext Method


DisplayContext Method

DisplayContext
 Declaration Description Parameters Method Result See Also Example

Declaration

procedure DisplayContext(ContextID : integer);

Description

Display the topic defined by the context-id from the compiled HTML file defined in the ChmFile property. Html Help can support context-id from compiled files. The results of a call with an invalid ChmFile property are undefined.

Parameters

Parameter | Usage
ContextID | The context id of the topic you want to display. Context id's need to be defined in the compiled HTML help file using the [Alias] and optionally [Map] sections of the hhp file.

Method Result

None.

Example

EmbeddedHtmlHelp1.ChmFile := extractFilePath(application.exeName) + 'hhcomp.chm'; EmbeddedHtmlHelp1.DisplayContext(IDX_MainWindow);

See Also

  • TEmbeddedHtmlHelp
  • WinType Property
  • ChmFile property
  • DisplayTopic Method


OnTrack Event

OnTrack

Declaration

property OnTrack : THtmlHelpTrackEvent;

Description

This event is fired before the user clicks on one of the HTML Help buttons or tabs.

Example

if (Action = HHACT_BACK) then
   HistoryList.Add(CurrentUrl);

See Also

©Copyright 1997, HyperAct, Inc.


OnNavComplete Event

OnNavComplete

Declaration

property OnNavComplete : TNavCompleteEvent;

Description

This event is fired when the embedded HTML Help window finishes navigation to a new URL.

Example

StatusBar.SimpleText := 'CurrentUrl : ' + Url);

See Also

©Copyright 1997, HyperAct, Inc.


THtmlHelpBridge
 See Also Properties Methods Events Tasks

Unit

HHComp

Description

This component traps winhelp() context sensitive calls and routes them to htmlhelp() context sensitive calls. By dropping a copy of this component on the main form of your application you can use the HelpContext properties of the controls in the application to define context sensitive topics from the compiled HTML file.

Properties | Methods | Events
ChmFile property |  |

Tasks

See Also

  • Html Help Integration Components
  • THtmlHelpGateway
  • TEmbeddedHtmlHelp

©1997, HyperAct, Inc.


ChmFile property

ChmFile

Declaration

property ChmFile : String;

Description

This property is used to define the compiled HTML Help file that holds the context sensitive help topics.

Example

HtmlHelpBridge1.ChmFile := extractFilePath(application.exeName) + 'ContextHelp.chm';

See Also

THtmlHelpBridge

©1997, HyperAct, Inc.


TNavCompleteEvent
 Unit Declaration Description Parameters

Unit

HHComp

Description

This event type is fired by an HTML Help window when it finishes to navigate to a new URL.

Declaration

TNavCompleteEvent = procedure(Sender : TObject; Url : String) of Object;

Parameters

Parameter | Use
Sender | The Html Help component that sent the event.
Url | The Url that the Html Help window just finished navigating to.


THtmlHelpTrackEvent
 Unit Declaration Description Parameters

Unit

HHComp

Description

This event is fired before the user clicks on an HTML Help button or tab.

Declaration

THtmlHelpTrackEvent = procedure(Sender : TObject; Action : integer; CurrentUrl : String);

Parameters

Parameter | Use
Sender | The Html Help component that sent the event.
Action The action that happens. It can be one of the following:
  • HHACT_EXPAND - The user is about to expand the navigation pane.
  • HHACT_CONTRACT - The user is about to contract the navigation pane.
  • HHACT_BACK - The user clicked the Back button.
  • HHACT_FORWARD - The user clicked the Forward button.
  • HHACT_STOP - The user clicked the Stop button.
  • HHACT_REFRESH - The user clicked the Refresh button.
  • HHACT_HOME - The user clicked the Home button.
  • HHACT_SYNC - The user clicked the Sync button.
  • HHACT_OPTIONS - The user clicked the Options button.
  • HHACT_PRINT - The user clicked the Print button.
  • HHACT_TAB_CONTENTS - The user swiched to the Contents tab.
  • HHACT_TAB_INDEX - The user swiched to the Index tab.
  • HHACT_TAB_FIND - The user swiched to the Find tab.
  • HHACT_TAB_HISTORY - The user swiched to the History tab.
  • HHACT_TAB_FAVOURITES - The user swiched to the Favourites tab.
CurrentUrl | The current Url of the Html Help window before the action is executed.


Embedded

When you click this button a HTML page will be displayed in the embedded Html Help panel.


From Compiled

When you press this button a html page from the compiled Html Help chm file will be displayed.


Start File

Press this button to start the file testfile.html in the default HTML Help window. This demonstrates the way a simple display topic command is called via Html Help.


Text Popup

When you click this button a text popup will appear over the panel labeled "this panel is the owner of the popup"